# Generated from postrunner-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name postrunner

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Application to manage and analyze Garmin FIT files
License: GNU GPL version 2
URL: https://github.com/scrapper/postrunner
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
PostRunner is an application to manage FIT files
such as those produced by Garmin products like the Forerunner 620 (FR620),
Forerunner 25 (FR25), Fenix 3, Fenix 3HR, Fenix 5 (S and X). It allows you to
import the files from the device and analyze the data. In addition to the
common features like plotting pace, heart rates, elevation and other captured
values it also provides a heart rate variability (HRV) and sleep analysis. It
can also update satellite orbit prediction (EPO) data on the device to
speed-up GPS fix times.  It is an offline alternative to Garmin Connect. The
software has been developed and tested on Linux but should work on other
operating systems as well.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/postrunner
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/misc
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/postrunner.gemspec
%{gem_instdir}/spec

%changelog
* Fri Jun 09 2023 mockbuilder - 1.2.0-1
- Initial package
